{{ define "main" }}

<style>

  ul.csv li { display: inline; }

                ul.csv li:after { content: ","; }

                ul.csv li:last-child:after { content: ""; }



</style>
<section class="section border-top bg-white">
  <div class="container">
    <div class="row">
      <div class="col-lg-8">

        <div class="row row-cols-1 row-cols-md-2 g-4">
          <!-- start post range -->
          {{ $paginator:= .Paginate .Data.Pages }}
          {{ range $paginator.Pages }}
          <div class="col">
            <div class="blog-card card mb-3">
              <div class="card-img position-relative">
                {{ partial "image.html" (dict "Src" .Params.image "Class" "w-100 card-img-top")}}
                <div class="post-info">
                  <span class="text-uppercase">{{ time.Format ":date_long" .PublishDate }}</span>
                </div>
              </div>


              <div class="card-body">

                <h2 class="h3 fw-light mb-3"><a class="post-title" href="{{.RelPermalink}}">{{ .Title }} </a></h2>
                <p class="card-text mb-4">{{ .Summary }}</p>


                <ul class="post-meta mb-2 csv">
                  Tags:
                  {{ range .Params.categories }}
                  <li><a class="text-uppercase" href="{{`categories` | relURL}}/{{. | urlize | lower}}">
                    {{ . }}
                  </a></li>
                  {{ end }}
                </ul>

                <ul class="post-author mb-2 csv ">
                  Author:
                    {{/*  authors per blog heree  */}}
                    {{ range .Params.authors }}
                    <li><a class="text-uppercase" href="{{`authors` | relURL}}/{{. | urlize | lower}}">
                      {{ . }}
                    </a></li>
                    {{ end }}

                  </ul>
                  <hr>
                <a class="btn btn-outline-primary btn-sm" href="{{.RelPermalink}}">{{i18n `read_more`}}</a>
              </div>
            </div>
          </div>
          {{ end }}
          <!-- end of post range -->
        </div>

        {{ partial "components/custom-pagination.html" . }}
      </div>

      <div class="col-lg-4">
        <div class="bg-body ms-xl-3 p-4 rounded">
          <!-- widget -->
          {{ $widget:= site.Params.widgets.sidebar }}
          {{ partialCached "widgets/widget-wrapper" ( dict "Widgets" $widget "Scope" . ) }}
        </div>
      </div>


    </div>
  </div>
</section>


{{ end }}
